Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228241 - Review Request: eb - ebook library
Summary: Review Request: eb - ebook library
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT 228243
TreeView+ depends on / blocked
 
Reported: 2007-02-12 02:17 UTC by Jens Petersen
Modified: 2014-12-15 13:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-14 06:07:46 UTC
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jens Petersen 2007-02-12 02:17:57 UTC
Spec URL: http://people.redhat.com/petersen/extras/eb.spec
SRPM URL: http://people.redhat.com/petersen/extras/eb-4.3-1.src.rpm
Description:
Library for accessing Japanese CD-ROM electronic books
in EB, EBG, EBXA, EBXA-C, S-EBXA, and EPWING format.

http://www.sra.co.jp/people/m-kasahr/eb/

Comment 1 Parag AN(पराग) 2007-02-12 04:59:46 UTC
Mock build is fine.
But got rpmlint warnings for main and devel package as

W: eb conffile-without-noreplace-flag /etc/eb.conf
A configuration file is stored in your package without the noreplace flag.
A way to resolve this is to put the following in your SPEC file:
%config(noreplace) /etc/your_config_file_here

W: eb-devel summary-not-capitalized eb libray development files
Summary doesn't begin with a capital letter.




Comment 2 Jens Petersen 2007-02-12 08:20:12 UTC
Thanks.  Should be fixed in:

Spec URL: http://people.redhat.com/petersen/extras/eb.spec
SRPM URL: http://people.redhat.com/petersen/extras/eb-4.3-2.src.rpm

Comment 3 Jens Petersen 2007-02-12 08:27:40 UTC
BTW rpmlint now complains for me:

E: eb description-line-too-long EB ライブラリは CD-ROM 書籍にアクセスするための
C のライブラリです。

But I guess this is based on the length of the utf-8 bytes not the number of
characters.

Comment 4 Parag AN(पराग) 2007-02-12 11:22:45 UTC
Got 
W: eb incoherent-version-in-changelog 4.3-1 4.3-2.fc7
The last entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

Strange i did not see error you said on my machine.


Comment 5 Parag AN(पराग) 2007-02-12 11:28:38 UTC
Anyway here comes review
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM.
- rpmlint is not silent for RPM but its a simple warning that can be solved
while importing a package.
+ source files match upstream.
f7aee92355cae7e4c81cf26df4345b07  eb-4.3.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ COPYING included in %doc.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc file present.
+ -devel subpackage exists
+ no scriptlets are used.
+ no .la files.
+ translations are available
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.

APPROVED.


Comment 6 Jens Petersen 2007-02-13 06:51:04 UTC
Thanks. :)  Added package to CVSSyncNeeded. 

Comment 7 Jens Petersen 2007-02-14 01:00:05 UTC
Package imported to cvs and devel package built.

Comment 8 Jens Petersen 2007-02-14 06:07:46 UTC
FC6 package built too.

Comment 9 Mosaab Alzoubi 2014-12-14 19:06:15 UTC
Package Change Request
======================
Package Name: eb
New Branches: el6 epel7
Owners: moceap petersen

Comment 10 Gwyn Ciesla 2014-12-15 13:17:22 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.